import { OnInit, OnChanges } from "@angular/core";
import * as Survey from "survey-angular";
import { SurveyService } from "../../services/survey.service";
export declare class MainioSurveyComponent implements OnInit, OnChanges {
    private surveyService;
    private mainioSurveyData;
    api: string;
    survey_id: any;
    user_id: string;
    loadedModel: Survey.Model;
    gotSurveyData: boolean;
    constructor(surveyService: SurveyService, mainioSurveyData: MainioSurveyData);
    ngOnInit(): void;
    ngOnChanges(): void;
    handleDisplayData(): void;
    getSurvey(api: any, survey_id: any, user_id: any): void;
}
export declare class MainioSurveyData {
    api: string;
    survey_id: string;
    user_id: string;
}
